/*
 * Copyright (C) 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef ANDROID_HARDWARE_AUDIO_EFFECT_CONVERSIONS_H_
#define ANDROID_HARDWARE_AUDIO_EFFECT_CONVERSIONS_H_

#include PATH(android/hardware/audio/effect/FILE_VERSION/types.h)

#include <string>

#include <system/audio_effect.h>

namespace android {
namespace hardware {
namespace audio {
namespace effect {
namespace CPP_VERSION {
namespace implementation {

using ::android::hardware::audio::effect::CPP_VERSION::EffectDescriptor;

void effectDescriptorFromHal(const effect_descriptor_t& halDescriptor,
                             EffectDescriptor* descriptor);
std::string uuidToString(const effect_uuid_t& halUuid);

}  // namespace implementation
}  // namespace CPP_VERSION
}  // namespace effect
}  // namespace audio
}  // namespace hardware
}  // namespace android

#endif  // ANDROID_HARDWARE_AUDIO_EFFECT_CONVERSIONS_H_
